Module | Merb::RenderMixin::ClassMethods
In: | lib/merb-core/controller/mixins/render.rb

### Methods

_templates_for default_layout default_render_options layout render_options

### Public Instance methods

_templates_for()
default_layout()

Enable the default layout logic - reset the layout option.

#### Returns

~to_s: | The layout that was previously set.

:api: public

default_render_options()

Return the default render options.

#### Returns

Hash: | An options hash

:api: public

layout(layout)

Set the default layout to use or nil/false to disable layout rendering. This is a shortcut for render_options :layout => false.

#### Parameters

layout<~to_s>: | The layout that should be used for this class.

#### Notes

You can override by passing :layout => true to render method.

#### Returns

Hash: | The default render options.

:api: public

render_options(opts)

Set default render options at the class level.

#### Parameters

opts<Hash>: | An options hash

:api: public

[Validate]